<?php

namespace App\Http\Controllers;


use App\Models\habitaciones;
use App\Models\reservaciones;
use App\Models\reservacioneshabitaciones;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ControllerAdminReportes extends Controller
{

    public function reporte1(Request $request)
    {
        // Obtener las fechas de entrada y salida del formulario
        $fecha_entrada = Carbon::parse($request->input('fecha_entrada'))->toDateString();
        $fecha_salida = Carbon::parse($request->input('fecha_salida'))->toDateString();

        $rangoFecha = $fecha_entrada . ' / ' . $fecha_salida;

        $total = reservacioneshabitaciones::whereBetween('fecha_entrada', [$fecha_entrada, $fecha_salida])
        ->sum('precio_sub_total');

        return view('administrativo.paginas.reportes#1', compact('total', 'rangoFecha'));
    }

    public function reporte2(Request $request)
    {
        // Obtener las fechas de entrada y salida del formulario
        $fecha_entrada = Carbon::parse($request->input('fecha_entrada'))->toDateString();
        $fecha_salida = Carbon::parse($request->input('fecha_salida'))->toDateString();

        $rangoFecha = $fecha_entrada . ' / ' . $fecha_salida;

        $cantidadPersonas = reservacioneshabitaciones::whereBetween('fecha_entrada', [$fecha_entrada, $fecha_salida])
        ->sum('cantidad_personas');

        return view('administrativo.paginas.reportes#2', compact('cantidadPersonas', 'rangoFecha'));
    }

    public function reporte3(Request $request)
    {
        // Obtener las fechas de entrada y salida del formulario
        $fecha_entrada = Carbon::parse($request->input('fecha_entrada'))->toDateString();
        $fecha_salida = Carbon::parse($request->input('fecha_salida'))->toDateString();

        $rangoFecha = $fecha_entrada . ' / ' . $fecha_salida;

        $habitaciones = DB::table('reservacioneshabitaciones AS rh')
            ->select('h.nombre AS nombre_habitacion', DB::raw('COUNT(*) AS num_reservas'))
            ->join('habitaciones AS h', 'rh.id_habitacion', '=', 'h.id_habitacion')
            ->where(function ($query) use ($fecha_entrada, $fecha_salida) {
                $query->whereBetween('rh.fecha_entrada', [$fecha_entrada, $fecha_salida])
                    ->orWhereBetween('rh.fecha_salida', [$fecha_entrada, $fecha_salida])
                    ->orWhere(function ($query) use ($fecha_entrada, $fecha_salida) {
                        $query->where('rh.fecha_entrada', '<=', $fecha_entrada)
                            ->where('rh.fecha_salida', '>=', $fecha_salida);
                    });
            })
            ->groupBy('rh.id_habitacion', 'h.nombre')
            ->orderByDesc('num_reservas')
            ->limit(3)
            ->get();

        return view('administrativo.paginas.reportes#3', compact('habitaciones', 'rangoFecha'));
    }
}
