<?php

namespace App\Http\Controllers;

use App\Models\contactos;
use App\Models\reservaciones;
use App\Models\habitaciones;
use App\Models\reservacioneshabitaciones;
use Illuminate\Http\Request;

class ControllerAdminReservaciones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function indexReservaciones()
    {
        $reservaciones = reservaciones::select('reservaciones.id_reservacion','reservaciones.fecha_creacion','reservaciones.precio_total','contactos.nombre')->join('contactos','reservaciones.id_contacto','=','contactos.id_contacto')->get();
        //return $data;
        return view("administrativo.paginas.reservaciones", compact('reservaciones'));
    }

    public function indexhasbitaciones()
    {
        $habitaciones = habitaciones::all();
        //return $data;
        return view("administrativo.paginas.habitaciones", compact('habitaciones'));
    }

    public function index()
    {
        return view('administrativo.paginas.inicio');
    }

    public function Inicio()
    {
        $habitaciones = habitaciones::all();
        return view("Inicio", compact("habitaciones"));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $reservaciones = reservaciones::find($id);
        $contacto = contactos::find($reservaciones->id_contacto);
        $habitaciones = reservacioneshabitaciones::select("*")->join("habitaciones","reservacioneshabitaciones.id_habitacion","=","habitaciones.id_habitacion")->
        where('id_reservacion', $reservaciones->id_reservacion)->get();

        return view('administrativo.paginas.editarReservaciones',compact('reservaciones','contacto','habitaciones'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        $item =  contactos::find($id);

        $item->nombre = $request->nombre;
        $item->telefono = $request->telefono;
        $item->correo = $request->correo;

        $item->save();

        return back()->with("success","Se actualizo con exito, el CONTACTO!!");
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        $item = reservaciones::find($id);
        $item->delete();

        return back()->with("success","Se eliminio la reservacion con exito!!");
    }
}
