<?php

namespace App\Http\Controllers;

use App\Models\habitaciones;
use App\Models\contactos;
use App\Models\reservaciones;
use App\Models\reservacioneshabitaciones;
use Barryvdh\DomPDF\PDF;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class ControllerReservaciones extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        $habitaciones = habitaciones::all();


        return view("index", compact("habitaciones"));
    }

    public function obtenerHabitacion($id){
        $habitaciones = habitaciones::find($id);
        return $habitaciones;

    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {

      try{
       $tarifaTotal = 0;
       $contacto = new contactos();
       $contacto->nombre = $request->nombre;
       $contacto->telefono = $request->telefomo;
       $contacto->correo = $request->correo;
       $contacto->save();

       $reservacion = new reservaciones();
       $reservacion->id_contacto = $contacto->id_contacto;
       $reservacion->fecha_creacion = date('Y-m-d');
       $reservacion->precio_total = $tarifaTotal;
       $reservacion->save();

       $habitaciones = json_decode($request->habitaciones, true);

       foreach($habitaciones as $item){
         $reservacionHabitacion = new reservacioneshabitaciones();
         $reservacionHabitacion->id_habitacion = $item['id_habitacion'];
         $reservacionHabitacion->id_reservacion = $reservacion->id_reservacion;
         $reservacionHabitacion->fecha_entrada = $item['fechaI'] ;
         $reservacionHabitacion->fecha_salida = $item['fechaF'] ;
         $reservacionHabitacion->cantidad_noches = $item['cantidadN'] ;
         $reservacionHabitacion->cantidad_personas = $item['cantidadP'] ;
         $reservacionHabitacion->precio_sub_total = $item['tarifa'];
         $reservacionHabitacion->save();

         $tarifaTotal += $item['tarifa'];
       }


       reservaciones::where('id_reservacion', $reservacion->id_reservacion)->update(['precio_total' => $tarifaTotal]);


        $this-> enviarMail($reservacion->id_reservacion, $request->correo, $request->nombre);




       return back()->with("mensaje","Factura enviada al Correo");

         }catch(\Exception){

           return back()->with("mensajeError","Error al reservar");
}



    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        $habitaciones = habitaciones::find($id);
        return $habitaciones;
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }

    public function habitacionesdisponibles(Request $request)
{
    $fechaInicio = $request->fecha_inicio;
    $fechaFin = $request->fecha_final;
    $nombreHabitacion = $request->habitacion;
    $habitacion= reservacioneshabitaciones::where('id_habitacion',$nombreHabitacion )->where('fecha_salida', '>=', $fechaInicio)->where('fecha_entrada', '<=', $fechaFin)->get();
    return $habitacion;
}

public function enviarMail(string $id, string $destinatario, string $subject){

    $data = reservaciones::selectRaw('reservacioneshabitaciones.*, habitaciones.*, reservaciones.*, contactos.nombre as nombrecontacto, contactos.correo as correo, contactos.telefono as telefono')->join('reservacioneshabitaciones', 'reservaciones.id_reservacion', '=', 'reservacioneshabitaciones.id_reservacion')
    ->join('contactos', 'contactos.id_contacto', '=', 'reservaciones.id_contacto')
    ->join('habitaciones', 'habitaciones.id_habitacion', '=', 'reservacioneshabitaciones.id_habitacion')
    ->where('reservaciones.id_reservacion', $id)->get();


   $correo = $data[0]['correo'];
   $telefono = $data[0]['telefono'];
   $nombre = $data[0]['nombrecontacto'];
   $totalFactura = $data[0]['precio_total'];


   // Generar el PDF
   $pdf = \PDF::loadView('ladingPage.Partes.Correo.TempladeCorreo', compact('data', 'correo', 'telefono', 'nombre', 'totalFactura'));


   // Guardar el PDF en una variable
   $pdfContent = $pdf->output();

   // Enviar el correo
   Mail::send([], [], function ($message) use ( $pdfContent, $destinatario, $subject) {
       $message->to($destinatario)
           ->subject('Factura a nombre de:'. $subject)
           ->attachData($pdfContent, 'factura'.$subject.'.pdf', [
               'mime' => 'application/pdf',
           ]);
          // ->setBody('Adjunto encontrarás la factura' , 'text/html');
   });
}

}
