@extends('administrativo.index')
@section('titulo', 'Editar Reservaciones')

@section('cuerpo')

@section('portada', 'Editar Reservaciones')

@section('botones')
    <a class="btn btn-outline-dark" href="{{ route('indexReservaciones') }}">Regresar</a>
@endsection


<div class="row">

    <div class="col-sm-12">

        <div class="card border-secondary">

            <div class="card-body">



                <div class="row">


                    {{-- Datos de Reservaciomes --}}
                    <div class="col-sm-4">


                        <form action="{{ route('Reservaciones.update', $contacto) }}" method="POST">

                            @csrf
                            @method('PUT')

                            <div class="mb-3">

                                <label>Nombre</label>
                                <input type="text" class="form-control" name="nombre"
                                    value="{{ $contacto->nombre }}">

                                <label>Telefono</label>
                                <input type="text" class="form-control" name="telefono"
                                    value="{{ $contacto->telefono }}">

                                <label>Correo</label>
                                <input type="text" class="form-control" name="correo" id="correo"
                                    value="{{ $contacto->correo }}">
                            </div>
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </form>

                    </div>



                    {{-- Tabla Habitaciones Reservadas --}}
                    <div class="col-sm-8">

                        <table class="datatable table table-hover">

                            <thead class="bg-dark text-white" style="font-size: 14px">
                                <tr>
                                    <th style="width: 1px;"># Habitacion</th>
                                    <th >Nombre</th>
                                    <th>Fecha Entrada</th>
                                    <th>Fecha Salida</th>
                                    <th>Cantidad Noches</th>
                                    <th>Cantidad Personas</th>
                                    <th>Precio Subtotal</th>
                                    <th style="width: 20px;">Editar</th>
                                    <th style="width: 20px;">Eliminar</th>
                                </tr>
                            </thead>

                            <tbody style="font-size: 14px">

                                @foreach ($habitaciones as $item)
                                    <tr>

                                        <td>{{ $item->id_habitacion }}</td>
                                        <td>{{ $item->nombre }}</td>
                                        <td>{{ $item->fecha_entrada }}</td>
                                        <td>{{ $item->fecha_salida }}</td>
                                        <td>{{ $item->cantidad_noches }}</td>
                                        <td>{{ $item->cantidad_personas }}</td>
                                        <td>{{ $item->precio_sub_total }}</td>


                                        <td>
                                            <a class="btn btn-sm btn-warning" onclick="editarHabitaciones2(@json($item->id_reservacioneshabitaciones))">Editar</a>
                                        </td>
                                        <td>
                                            <form action="{{route('HabitacionesEditar.destroy', $item)}}" method="POST">

                                                @csrf
                                                @method('delete')

                                                <button class="btn btn-sm btn-danger">Eliminar</button>
                                            </form>
                                        </td>
                                    </tr>
                                @endforeach

                            </tbody>

                        </table>

                    </div>

                </div>





            </div>

        </div>

    </div>

</div>


{{-- -----------------------------------------------------------MODALLL Editar---------------------------------- --}}
<div class="modal fade" id="editarReservaciones" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Editar Habitacion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="{{ route('HabitacionesEditar.update',0) }}" method="POST">

                    @csrf
                    @method('PUT')


                    {{-- Datos de Habitacion --}}


                    <div class="mb-3">

                        <label>Fecha Entrada</label>
                        <input type="date" class="form-control" name="fecha_entrada">
                        <label>Fecha Salida</label>
                        <input type="date" class="form-control" name="fecha_salida">
                        <label>cantidad nohes</label>
                        <input type="number" class="form-control" name="cantidad_noches">
                        <label>cantidad personas</label>
                        <input type="number" class="form-control" name="cantidad_personas">

                        <input type="hidden" class="form-control" name="id_reservacioneshabitaciones">
                    </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary">Guardar</button>
            </div>
            </form>
        </div>
    </div>
</div>




<script>
    function editarHabitaciones2(id_reservacioneshabitaciones) {


        console.log('entre');
        id = id_reservacioneshabitaciones;
        route = "{{ route('HabitacionesEditar.show', '#') }}";
        route = route.replace("#", id);

        // parent = $(this).parent();
        $.ajax({
            url: route,
            type: 'GET',
            headers: {
                'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
            },
            success: function(result) {

                console.log(result);
                $('#editarReservaciones').modal('show');

                document.querySelector('input[name="fecha_entrada"]').value = result.fecha_entrada;
                document.querySelector('input[name="fecha_salida"]').value = result.fecha_salida;
                document.querySelector('input[name="cantidad_noches"]').value = result.cantidad_noches;
                document.querySelector('input[name="cantidad_personas"]').value = result.cantidad_personas;

                document.querySelector('input[name="id_reservacioneshabitaciones"]').value = result.id_reservacioneshabitaciones;

            }
        });

    }
</script>

@endsection
