<?php

use App\Http\Controllers\ControllerAdminEditarReservaciones;
use App\Http\Controllers\ControllerAdminHabitaciones;
use App\Http\Controllers\ControllerAdminReportes;
use App\Http\Controllers\ControllerAdminReservaciones;
use App\Http\Controllers\ControllerReservaciones;
use App\Http\Controllers\ControllerLoginUsers;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

//Landing Page
Route::resource("landingReservaciones", ControllerReservaciones::class);
Route::get('/',[ ControllerReservaciones::class,'index'])->name('inicio');
Route::get('/obtenerHabitacion/{id}',[ ControllerReservaciones::class, 'obtenerHabitacion'])->name('obtenerHabitacion');
Route::get('/habitacionesdisponibles', [ControllerReservaciones::class, 'habitacionesdisponibles'])->name('habitacionesdisponibles');


//  RUTAS ADMINISTTRATIVAS
Route::get('/AdminReservaciones',[ ControllerAdminReservaciones::class,'indexReservaciones'])->name('indexReservaciones')->middleware('auth');;
Route::get('/AdminHabitaciones',[ ControllerAdminReservaciones::class,'indexhasbitaciones'])->name('indexhasbitaciones')->middleware('auth');;
Route::get('/Admin',[ ControllerAdminReservaciones::class, 'index'])->name('index')->middleware('auth');;
Route::get('/AdminReportes3',[ ControllerAdminReportes::class, 'reporte3'])->name('reporte3');
Route::get('/AdminReportes2',[ ControllerAdminReportes::class, 'reporte2'])->name('reporte2');
Route::get('/AdminReportes1',[ ControllerAdminReportes::class, 'reporte1'])->name('reporte1');


// Admin Resources
Route::resource("Habitaciones", ControllerAdminHabitaciones::class)->middleware('auth');;
Route::resource("HabitacionesEditar", ControllerAdminEditarReservaciones::class)->middleware('auth');;
Route::resource("Reservaciones", ControllerAdminReservaciones::class)->middleware('auth');;


//  Logins
Auth::routes();
Route::get('/LoginAdministracion',[ ControllerLoginUsers::class,'login'])->name('login');
Route::post('/Iniciarsesion',[ ControllerLoginUsers::class,'iniciarsesion'])->name('iniciarsesion');
Route::get('/Cerrarsesion',[ ControllerLoginUsers::class,'cerrar'])->name('cerrar');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');


