<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Factura</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }
        .invoice-box {
            width: 80%;
            margin: 40px auto;
            padding: 30px;
            border: 1px solid #eee;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
            background-color: #fff;
        }
        .header {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
        .header img {
            max-width: 150px;
        }
        .contact-info {
            text-align: right;
        }
        .contact-info p {
            margin: 0;
        }
        .customer-info {
            margin: 20px 0;
        }
        .customer-info p {
            margin: 5px 0;
        }
        .items-table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        .items-table th, .items-table td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        .items-table th {
            background-color: #f2f2f2;
        }
        .total {
            margin-top: 20px;
            text-align: right;
        }
    </style>
</head>
<body>
    <div class="invoice-box">
        <div class="header">
            <div class="logo">
                <img src="images/logoEmpresa (3).jpg" alt="">
            </div>
            <div class="contact-info">
                <p>Email: <?php echo e($correo); ?></p>
                <p>Teléfono: <?php echo e($telefono); ?></p>
            </div>
        </div>
        <div class="customer-info">
            <p><strong>Nombre del Cliente:</strong><?php echo e($nombre); ?></p>
        </div>
        <table class="items-table">
            <tr>
                <th>Descripcion</th>
                <th>Precio</th>
                <th>Total</th>
            </tr>
            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>

            <tr>
                <td><?php echo e($item['nombre']); ?></td>
                <td><?php echo e($item['tarifa']); ?></td>
                <td><?php echo e($item['precio_sub_total']); ?></td>
            </tr>
                
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
           
            <tr>
                <td colspan="2" style="text-align: right;"><strong>Total:</strong></td>
                <td><strong><?php echo e($totalFactura); ?></strong></td>
            </tr>
        </table>
        <div class="total">
            <p><strong>Total a Pagar: <?php echo e($totalFactura); ?></strong></p>
        </div>
    </div>
</body>
</html>
<?php /**PATH C:\Laravel\proyectoProgramado1\resources\views\LadingPage\Partes\Correo\TempladeCorreo.blade.php ENDPATH**/ ?>